Bug 30898 - apachectl script not included in binary dist.
apachectl script not included in binary dist.
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-06 22:30 EST by russell
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-06 22:30:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description russell 2001-03-06 22:30:02 EST
Just a simple missing of the apachectl script from the spec file. I haven't
built my own version yet that includes this binary, but likely will as the
new version of apache is recently released.

Please include this very useful script in the distribution - thanks.
Comment 1 Nalin Dahyabhai 2001-03-28 18:38:08 EST
Usingthe default configuration file setup, the apachectl script can't actually
start the server properly.
Comment 2 Russell McOrmond 2001-03-29 09:44:42 EST
I realize that the stock apachectl won't start the server or do many of its
normal functions unmodified.

It would probably be better to modify the apachectl and link to it in
/etc/rc.d/init.d rather than not have it.  Some of the various things like
'apachectl configtest' are just that much harder to do by hand now that all the
"-D HAVE_*" definitions are needed to know if the config file is correct.

If you wish, I can merge the updated /etc/rc.d/init.d/httpd and apachectl
scripts and send in a diff.

Note You need to log in before you can comment on or make changes to this bug.